import request from '@/utils/request'

export function initProject() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_项目名称_总_查询'
    }
  })
}
export function searchTable1(pageCurrent, pageSize, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '安全保证金管理_安全保证金信息查询',
      param: '项目流水号=' + num1 + '=int',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function searchTable2(pageCurrent, pageSize, num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '安全保证金管理_扣款记录查询',
      param: '安全保证金流水号=' + num1,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function addSafetyMargin() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_安全保证金信息_增加',
      param: '项目流水号=' + arguments[0] + '&保证金金额=' + arguments[1] + '&交付日期=' + arguments[2] + '&提前X天提醒=' + arguments[3] + '&执行进度流水号=' + arguments[4] + '&备注=' + arguments[5]
    }
  })
}
export function editSafetyMargin() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_安全保证金信息_修改',
      param: '项目流水号=' + arguments[0] + '&保证金金额=' + arguments[1] + '&交付日期=' + arguments[2] + '&提前X天提醒=' + arguments[3] + '&执行进度流水号=' + arguments[4] + '&备注=' + arguments[5] + '&安全保证金流水号=' + arguments[6]
    }
  })
}
export function Withdrawing() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_扣款记录表_增加',
      param: '安全保证金流水号=' + arguments[0] + '&扣款金额=' + arguments[1] + '&被扣款人=' + arguments[2] + '&扣款原因=' + arguments[3] + '&扣款日期=' + arguments[4]
    }
  })
}
export function delSafetyMargin() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_安全保证金信息_删除',
      param: '安全保证金流水号=' + arguments[0] + '&项目流水号=' + arguments[1]
    }
  })
}

export function delWithdrawing() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_扣款记录表_删除',
      param: '扣款流水号=' + arguments[0]
    }
  })
}
export function edtWithdrawing() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_扣款记录表_修改',
      param: '扣款流水号=' + arguments[0] + '&扣款金额新=' + arguments[1] + '&被扣款人=' + arguments[2] + '&扣款原因=' + arguments[3] + '&扣款日期=' + arguments[4]
    }
  })
}
export function TakeBack() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '安全保证金管理_安全保证金_收回',
      param: '安全保证金流水号=' + arguments[0] + '&实际收回日期=' + arguments[1]
    }
  })
}
export function searchTableDataProject(pageCurrent, pageSize, num1, num2, num3, num4, num5, num6) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_安全保证金_合同信息统计_查询',
      param: '项目流水号=' + num1 + '=int&项目流水号_check=' + num2 + '=int&开始日期_check=' + num3 + '=int&结束日期_check=' + num4 + '=int&开始日期=' + num5 + '=date&结束日期=' + num6 + '=date',
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
export function executionProgressID() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '合同信息管理_执行进度_查询'
    }
  })
}
